device_type: redmi3s
job_name: test_deploy_recovery_fastboot_land modified dico FP
priority: medium
visibility: public
timeouts:
  job:
    minutes: 60
  action:
    minutes: 15
  connection:
    minutes: 2
actions:
- deploy:
    to: fastboot
    docker:
      image: terceiro/android_platform_tools
    timeout:
      minutes: 30
    images:
      recovery:
        url: file:///home/bbillard/e/Xiaomi_redmi_3S/twrp-3.3.1-1-land.img
    method: fastboot
  boot:
   docker:
     image: terceiro/android-platform-tools
   prompts:
   - root@(.*):/#
   - redmi3s:/
   - console:/
   - :/
   timeout:
     minutes: 15
   method: fastboot 
- test:
    docker:
      image: terceiro/android-platform-tools
    timeout:
      minutes: 20
    definitions:
    - from: inline
      path: android-boot.yaml
      name: android-boot
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: android-boot
          description: android-boot
        run:
          steps:
          - lava-test-case "android-boot-wait-for-device" --shell fastboot boot /home/bbillard/e/Xiaomi_redmi_3S/twrp-3.3.1-1-land.img
